> ## Documentation Index
> Fetch the complete documentation index at: https://www.vollna.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete proposal template

> Deletes a template. A template used by a live auto-bidding setup, a running A/B test or an enabled auto-accept-invite setup cannot be deleted until those are removed or repointed



## OpenAPI

````yaml delete /proposal-templates/{id}
openapi: 3.0.4
info:
  title: Vollna API
  description: API for managing Upwork profiles, proposals, results, and filters
  version: 1.0.0
servers:
  - url: https://api.vollna.com/v1
security: []
tags:
  - name: Profiles
    description: Manage Upwork profiles
  - name: Proposals
    description: Access and manage Upwork proposals
  - name: Results
    description: View monitoring results and projects
  - name: Filters
    description: Manage monitoring filters
  - name: Auto Bidding
    description: Manage auto bidding jobs and setups
paths:
  /proposal-templates/{id}:
    delete:
      tags:
        - Proposal Templates
      summary: Delete proposal template
      description: >-
        Deletes a template. A template used by a live auto-bidding setup, a
        running A/B test or an enabled auto-accept-invite setup cannot be
        deleted until those are removed or repointed
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '204':
          description: Template deleted
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Template is in use
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      This proposal template is used in the auto-bidding
                      setup(s) "Main setup". Please delete those setups or
                      change their template first.
                  setups:
                    type: array
                    description: Present when blocked by auto-bidding setups
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        name:
                          type: string
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiToken: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    apiToken:
      type: apiKey
      name: X-API-TOKEN
      in: header
      description: API token for authentication

````